# This file created by conda-build 3.9.2
# meta.yaml template originally from:
# /home/psilocaluser/gits/psi4meta/conda-recipes/pcmsolver, last modified Wed May  2 15:13:51 2018
# ------------------------------------------------

package:
    name: pcmsolver
    version: 1.2.1
source:
    git_rev: v1.2.1
    git_url: git@github.com:PCMSolver/pcmsolver.git
build:
    binary_relocation: 'true'
    ignore_run_exports:
        - libgfortran-ng
    number: '0'
    run_exports:
        - pcmsolver >=1.2.1,<1.2.2.0a0
    string: py36h8733eb9_0
requirements:
    build:
        - binutils_impl_linux-64 2.28.1 had2808c_3
        - binutils_linux-64 7.2.0 26
        - bzip2 1.0.6 h9a117a8_4
        - ca-certificates 2018.03.07 0
        - cmake 3.9.4 h142f0e9_0
        - curl 7.59.0 h84994c4_0
        - expat 2.2.5 he0dffb1_0
        - gcc_impl_linux-64 7.2.0 habb00fd_3
        - gcc_linux-64 7.2.0 26
        - gfortran_impl_linux-64 7.2.0 hdf63c60_3
        - gfortran_linux-64 7.2.0 26
        - gxx_impl_linux-64 7.2.0 hdf63c60_3
        - gxx_linux-64 7.2.0 26
        - libcurl 7.59.0 h1ad7b7a_0
        - libgcc-ng 7.2.0 hdf63c60_3
        - libgfortran-ng 7.2.0 hdf63c60_3
        - libssh2 1.8.0 h9cfc8f7_4
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - libuv 1.20.0 h14c3975_0
        - ncurses 6.0 h9df7e31_2
        - openssl 1.0.2o h20670df_0
        - rhash 1.3.5 hbf7ad62_1
        - xz 5.2.3 h5e939de_4
        - zlib 1.2.11 ha838bed_2
    host:
        - ca-certificates 2018.03.07 0
        - certifi 2018.4.16 py36_0
        - libedit 3.1 heed3624_0
        - libffi 3.2.1 hd88cf55_4
        - libgcc-ng 7.2.0 hdf63c60_3
        - libstdcxx-ng 7.2.0 hdf63c60_3
        - ncurses 6.0 h9df7e31_2
        - openssl 1.0.2o h20670df_0
        - pip 10.0.1 py36_0
        - python 3.6.5 hc3d631a_2
        - readline 7.0 ha6073c6_4
        - setuptools 39.1.0 py36_0
        - sqlite 3.23.1 he433501_0
        - tk 8.6.7 hc745277_3
        - wheel 0.31.0 py36_0
        - xz 5.2.3 h5e939de_4
        - zlib 1.2.11 ha838bed_2
    run:
        - libgcc-ng >=7.2.0
        - libstdcxx-ng >=7.2.0
        - python >=3.6,<3.7.0a0
        - zlib >=1.2.11,<1.3.0a0
test:
    commands:
        - export PLPSP=$PREFIX/lib/python3.6/site-packages
        - test -f $PREFIX/lib/libpcm$SHLIB_EXT
        - test -f $PREFIX/bin/go_pcm.py
        - test -f $PLPSP/pcmsolver/pcmparser.py
        - ldd -r -u $PREFIX/lib/libpcm.so
        - ldd -v $PREFIX/lib/libpcm.so
        - conda-inspect linkages pcmsolver --show-files
about:
    dev_url: https://github.com/PCMSolver/pcmsolver
    doc_source_url: https://github.com/PCMSolver/pcmsolver/tree/master/doc
    doc_url: http://pcmsolver.readthedocs.org/en/latest/
    home: https://github.com/PCMSolver/pcmsolver
    license: LGPL-3.0
    license_family: LGPL
    license_file: LICENSE
    license_url: https://opensource.org/licenses/LGPL-3.0
    summary: R. di Remigio & L. Frediani's Polarizable Continuum Model (PCM) API
extra:
    copy_test_source_files: true
    final: true
